MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000623Community[OCCT] OCCT:Modeling Datapublic2002-08-14 16:412011-12-15 16:32
Reporteremo 
Assigned Toofv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0000623: InCorrect Data in PCurve
DescriptionThis bug has been added by Narasimha to
http://www.opencascade.org/forumorg/bug.php?bug_id=71&f=8 [^] .


I was trying with the sample "linkrods.step" provided with Standard OpenCascade
installer

To see the problem follow these steps.

1. Load linkrods.step.
2. Convert the model to B-Spline using "BRepBuilderAPI_NurbsConvert"
3. Look at the Face No. 9 in the following loop

TopExp_Explorer Exf;
for(Exf.Init(nurbShape, TopAbs_FACE); Exf.More(); Exf.Next())

Two curves on this face has Data Explosion (For me I saw it on the first
PCurve).

In otherwords the UV values of the PCurve are going beyone the bounds of Surface
UV values and they are not correct.

This particular Linkrods.step has this behavior on more than one face.
TagsNo tags attached.
Test case number
Attached Files? file icon linkrods.step (1,793,282 bytes) 2002-08-14 12:57
gz file icon dev-623-1.tar.gz (13,730 bytes) 2003-04-01 08:30
gz file icon dev-623-2.tar.gz (18,760 bytes) 2003-04-15 12:51
gz file icon dev-623-3.tar.gz (18,783 bytes) 2003-04-25 12:57
gz file icon ofv-occ623-4.tar.gz (9,961 bytes) 2003-05-19 15:30

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-09-13 14:06 bugmaster Assigned To bugmaster => ifv
2002-09-13 14:06 bugmaster Status new => assigned
2003-03-18 12:51 bugmaster Assigned To ifv => ofv
2003-04-01 12:31 ofv Status assigned => resolved
2003-04-01 12:40 bugmaster CC => apv
2003-04-07 13:01 apv CC => ofv
2003-04-15 18:06 apv CC => aki
2003-06-18 13:25 bugmaster Status resolved => verified
2007-01-12 14:57 bugmaster Status verified => closed
2007-01-12 14:57 bugmaster Resolution @0@ => fixed
2011-08-02 11:32 bugmaster Category OCCT:MOD => OCCT:Modeling Data
2011-12-15 16:32 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker